<%@ page import="com.cidat.proclets.*,q53_util.*,itourbaskBeans.*,java.util.List,java.io.IOException,java.util.StringTokenizer" session="true" %>
<% com.cidat.proclets.ProcletServiceData sd =(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); %>
<% String q53_idioma = q53Util.getIdioma(sd); 

System.out.println("q53_usr_busquedaEncuestas.jsp -- perfil:"+sd.gOS("q53_cki.q53_perfil"));
List oficinasList=null;
List nombresList=null;
String horainit=null;
String horaend=null;  
String horainitvis=null;
String horaendvis=null;
String hay_notificacion_correo="no";
int num_notificaciones_correo=0;
if(sd.getVal("listaOficinas") != null){     
	oficinasList = (List)sd.getVal("listaOficinas");   
}
int check_elim_index=0;

//codigo aleatorio para evitar la repeticion por el cacheo del proxy
String codigo_aleatorio = q53Util.obtener_cod_aleatorio();
nombresList=(List)sd.getVal("listaNombres");   
//PSP.getValFromSessionProclet(sd,"encuesta");
String encuesta = sd.gOS("encuesta");
q53LogEstadisticas.printLog("tipo de encuesta en la búsqueda : "+encuesta);
// Literales
String enc_tipo_hora = q53Util.getLiteral(sd, "ENC_TIPO_HORA", q53_idioma);
String enc_borrado= q53Util.getLiteral(sd, "ENC_BORRADO", q53_idioma);
String enc_mod_ofi= q53Util.getLiteral(sd, "ENC_MOD_OFI", q53_idioma);
String not_comcorreo= q53Util.getLiteral(sd, "NOT_COMCORREO", q53_idioma);
String not_email= q53Util.getLiteral(sd, "NOT_EMAIL", q53_idioma);
String not_fax= q53Util.getLiteral(sd, "NOT_FAX", q53_idioma);
String not_correo= q53Util.getLiteral(sd, "NOT_CORREO", q53_idioma);
String enc_usuario= q53Util.getLiteral(sd, "ENC_USUARIO", q53_idioma);
String not_datos= q53Util.getLiteral(sd, "NOT_DATOS", q53_idioma);
String enc_ascendente= q53Util.getLiteral(sd, "ENC_ASCENDENTE", q53_idioma);
String enc_descendente= q53Util.getLiteral(sd, "ENC_DESCENDENTE", q53_idioma);
String enc_pendiente= q53Util.getLiteral(sd, "ENC_PENDIENTE", q53_idioma);
String enc_ultima= q53Util.getLiteral(sd, "ENC_ULTIMA", q53_idioma);
String enc_estado= q53Util.getLiteral(sd, "ENC_ESTADO", q53_idioma);
String enc_solo_pendientes=q53Util.getLiteral(sd, "ENC_SOLO_PENDIENTES", q53_idioma);
String enc_busqueda_resp = q53Util.getLiteral(sd, "ENC_BUSQUEDA_RESP", q53_idioma);
String enc_title_busqueda = q53Util.getLiteral(sd, "ENC_TITLE_BUSQUEDA", q53_idioma);
String enc_fecha_inicio = q53Util.getLiteral(sd, "EST_FECHA_INICIO", q53_idioma);
String enc_fecha_fin = q53Util.getLiteral(sd, "EST_FECHA_FIN", q53_idioma);
String gen_aceptar = q53Util.getLiteral(sd, "GEN_ACEPTAR", q53_idioma);
String enc_rel_resp = q53Util.getLiteral(sd, "ENC_REL_RESP", q53_idioma);
String enc_fecha_int = q53Util.getLiteral(sd, "ENC_FECHA_INT", q53_idioma);
String enc_fecha_reali = q53Util.getLiteral(sd, "ENC_FECHA_REALI", q53_idioma);
String enc_personas = q53Util.getLiteral(sd, "ENC_PERSONAS", q53_idioma);
String enc_idioma_consulta = q53Util.getLiteral(sd, "EST_IDIOMA", q53_idioma);
String enc_medio_recep = q53Util.getLiteral(sd, "ENC_MEDIO_RECEP", q53_idioma);
String no_enc_fechas = q53Util.getLiteral(sd, "NO_ENC_FECHAS", q53_idioma);
String validateDate = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA", q53_idioma);
String mostrador = q53Util.getLiteral(sd, "N3_3_1", q53_idioma);
String cpos = q53Util.getLiteral(sd, "CPOS", q53_idioma);
String lofi=q53Util.getLiteral(sd, "EST_POR_OFICINA", q53_idioma);
String enc_medio_respuesta = q53Util.getLiteral(sd, "ENC_MEDIO_RESPUESTA", q53_idioma);
String recepcion = q53Util.getLiteral(sd, "RECEPCION", q53_idioma);
String respuesta = q53Util.getLiteral(sd, "RESPUESTA", q53_idioma);
String enc_presencial = q53Util.getLiteral(sd, "ENC_PRESENCIAL", q53_idioma);
String enc_no_pres = q53Util.getLiteral(sd, "ENC_NO_PRES", q53_idioma);
String enc_presencial_tabla = q53Util.getLiteral(sd, "ENC_PRESENCIAL_TABLA", q53_idioma);
String enc_no_pres_tabla = q53Util.getLiteral(sd, "ENC_NO_PRES_TABLA", q53_idioma);
String ENC_LOCAL=q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String ENC_TIPO_PROCEDENCIA=q53Util.getLiteral(sd, "ENC_TIPO_PROCEDENCIA", q53_idioma);
String enc_titulo_fecha_intro=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_INTRO", q53_idioma);
String enc_titulo_fecha_vis=q53Util.getLiteral(sd, "ENC_TITULO_FECHA_VIS", q53_idioma);
String est_total_personas=q53Util.getLiteral(sd, "EST_TOTALES_PERSON", q53_idioma);
String est_total_visitas=q53Util.getLiteral(sd, "EST_TOTALES_ENCUESTAS", q53_idioma);

%>
<!DOCTYPE html> <!-- HTML5 -->
<html>
<head>
<!-- Tags para diseño responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Fin Tags para diseño responsive -->
<title> itourbask </title>
<!-- Bootstrap core CSS -->
<link href="/appcont/itourbask/styles/bootstrap.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/index.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/estilos.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/jquery-ui/jquery-ui.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/jquery-clockpicker.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Lato:100,900italic,100italic,300,300italic,400,700,400italic,700italic,900|Oswald:400,300,700" rel="stylesheet" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>
<link href="/appcont/itourbask/styles/floating-labels.css" rel="stylesheet" type="text/css">
<link href="/appcont/itourbask/styles/table-responsive.css" rel="stylesheet" type="text/css">
<!-- PARA EL CALENDARIO -->
<script>calIdioma = "<%=q53_idioma%>";</script>
<script>

function validar_campo(campo,patron_validacion,todo_bien){
	if(!(campo.value.match(patron_validacion))){
		todo_bien= false;
		campo.focus();
		campo.style.backgroundColor='#F78181';
	}else 
		campo.style.backgroundColor='#FFFFFF';
	return todo_bien;
}

function modificar_respuesta(num,codRespuesta){
	var ajax = false;	
	var validado = true;
	validado = validar_campo(document.getElementById('mod_fecha_visita_'+num),/^\d{2}\x2F\d{2}\x2F\d{4}\s[0-2][0-9]:[0-5][0-9]:[0-5][0-9]$/,validado);
	if(validado){
		if (window.XMLHttpRequest) {
			ajax = new XMLHttpRequest();
		}else if (window.ActiveXObject) {
	  		ajax = new ActiveXObject("Microsoft.XMLHTTP");
		}
	   	ajax.open('POST', '/q53ItourbaskWar/q53usrModificarRespuestasServlet', true);
	  	ajax.onreadystatechange = function() {
		   	if (ajax.readyState==1){
		    	document.getElementById("estado_modificar_"+num).innerHTML = "Grabando....";
		   	}
		   	else if (ajax.readyState==4){
				if(ajax.status==200){
				    //alert("Respuesta ajax = "+ajax.responseText);
				    document.getElementById("estado_modificar_"+num).innerHTML = "Modificación realizada correctamente";
				    document.getElementById("estado_modificar_"+num).style.backgroundColor='#088A08';
				}else if(ajax.status!=0){          	   
					document.getElementById("estado_modificar_"+num).innerHTML = "No se ha podido modificar la respuesta";
				    document.getElementById("estado_modificar_"+num).style.backgroundColor='#DF0101';
				}
	   	    }
	   	}
	   	var cadena = "solo_ofi_y_fecha=1"+"&fecha_mod="+document.getElementById('mod_fecha_visita_'+num).value+"&ofi_mod="+
	   					document.getElementById('mod_oficina_'+num).value+"&cod_respuesta_mod="+codRespuesta;
		ajax.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		ajax.setRequestHeader("Content-length", cadena.length);
		ajax.setRequestHeader("Connection", "close");
		//alert(cadena);
		ajax.send(cadena); 
	}else{
		alert("Por favor, introduzca los datos correctamente");
	}
}

function activar_modificar(){
    var elementosdocumento = document.getElementsByTagName('*');
    var nombre="";
	for(i=0;i<elementosdocumento.length;i++){
		nombre = elementosdocumento[i].id;
		if(nombre.indexOf("info_modificar_")!=-1){
			if(elementosdocumento[i].style.display == "none")
				elementosdocumento[i].style.display = '';
			else
				elementosdocumento[i].style.display = 'none';
		}
	}
}

function crear_notificacion() {
		var hay_check=0;
		var numeros_de_check="";
	    for (i=0;ele=document.frm.elements[i];i++)
	 			if (ele.type=='checkbox' && ele.name.match(/notificacion_correo/))
		   			if (ele.checked){
		   				numeros_de_check+=ele.value+"-";
		   				hay_check=1;
		   			}
	   	if(hay_check==0){
			alert("Por favor marque alguna respuesta para notificar por correo postal");
			return;
		}
	   	numeros_de_check=numeros_de_check.substring(0,numeros_de_check.lastIndexOf('-'));
	   	document.frm.url_anterior.value=document.URL;
	   	ventana = window.open("", 'Q53_Notificaciones_Correo', 'top=300,left=300,scrollbars=no,status=no,width=900,height=250,resizable=yes');
		document.frm.target="Q53_Notificaciones_Correo";
		document.frm.action="/q53ItourbaskWar/q53usrNotificacionesServlet?hay_batch=si&num_notificaciones="+numeros_de_check;
		document.frm.submit();	
}

function actualizarNombres(){
	    var ajax=false;
        if (window.XMLHttpRequest) {
      		ajax = new XMLHttpRequest();
	    } else if (window.ActiveXObject) {
	        ajax = new ActiveXObject("Microsoft.XMLHTTP");
	    }
        ajax.open('POST', '/q53ItourbaskWar/q53usrBuscar?encuesta=pres', true);
        ajax.onreadystatechange = function() {
        	if (ajax.readyState==1){
         	//capaContenedora.innerHTML="Cargando.......";
        	}else if (ajax.readyState==4){
              if(ajax.status==200){      			
                //alert(ajax.responseText);
              }else if(ajax.status==404){
                alert("La direccion no existe");
              }else{
	               if(window.confirm('Ha habido un error de conexion ¿Desea guardar las filas introducidas?')){
	               		fAjax();
                   }
              }    
            }
        } 			
	    ajax.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	    ajax.setRequestHeader("Content-length", cadena.length);
	    ajax.setRequestHeader("Connection", "close");    
	    ajax.send(cadena);
}

function fechaPeriodo1(form,campo,img){
		document.frm.fechaInicioVis.value="";
		document.frm.fechaFinVis.value="";
		for (j=0;j<document.frm.fech_0_hora_inicioVis.options.length-1;j++){
			if(document.frm.fech_0_hora_inicioVis.options[j].value=="00")
				document.frm.fech_0_hora_inicioVis.options[j].selected=true;
			}
		for (j=0;j<document.frm.fech_0_hora_finVis.options.length-1;j++){
		if(document.frm.fech_0_hora_finVis.options[j].value=="23")
			document.frm.fech_0_hora_finVis.options[j].selected=true;  
		}
	    var todayDate = new Date;
	  	var dateInicio = new Date(2003,todayDate.getMonth(),1);
	  	var anoInicio=dateInicio.getFullYear();
	    var mesInicio=dateInicio.getMonth()+1;
	  	var diaInicio=dateInicio.getDate();
	  	var dateFin = new Date(todayDate.getFullYear()+1,todayDate.getMonth(),todayDate.getDate());
	    var anoFin=dateFin.getFullYear();
	  	var mesFin=dateFin.getMonth()+1;
	    var diaFin=dateFin.getDate();
	    showCalendar(form,campo,img,false,diaInicio,mesInicio,anoInicio,diaFin,mesFin,anoFin);
}

function fechaPeriodo2(form,campo,img){
		document.frm.fechaInicio.value="";
		document.frm.fechaFin.value="";
		for (j=0;j<document.frm.fech_0_hora_inicio.options.length-1;j++){
			if(document.frm.fech_0_hora_inicio.options[j].value=="00")
				document.frm.fech_0_hora_inicio.options[j].selected=true;
			}
		for (j=0;j<document.frm.fech_0_hora_fin.options.length-1;j++){
			if(document.frm.fech_0_hora_fin.options[j].value=="23")
				document.frm.fech_0_hora_fin.options[j].selected=true;
			}
	    var todayDate = new Date;
	    var dateInicio = new Date(2003,todayDate.getMonth(),1);
	    var anoInicio=dateInicio.getFullYear();
	    var mesInicio=dateInicio.getMonth()+1;
	    var diaInicio=dateInicio.getDate();
	    var dateFin = new Date(todayDate.getFullYear()+1,todayDate.getMonth(),todayDate.getDate());
	    var anoFin=dateFin.getFullYear();
	    var mesFin=dateFin.getMonth()+1;
	    var diaFin=dateFin.getDate();
	    showCalendar(form,campo,img,false,diaInicio,mesInicio,anoInicio,diaFin,mesFin,anoFin);
}
 
 function eliminar_seleccionados() {
		var pen="N";
		var ulti="N";
		var pofi="";
		var fechaInicio = document.frm.fechaInicio.value;
		var fechaFin = document.frm.fechaFin.value;
		var fechaInicioVis = document.frm.fechaInicioVis.value;
		var fechaFinVis = document.frm.fechaFinVis.value;		
		var tipo_ordenacion = document.frm.tipo_ordenacion.value;		
		
		if (fechaInicio != "")
		{
		     fechaInicio = fechaInicio+" "+document.frm.fech_0_hora_inicio.value.toString()+":00:00";
		     tipo_ordenacion = "2";
		}
		if (fechaFin != "")
		{
		     fechaFin = fechaFin+" "+document.frm.fech_0_hora_fin.value.toString()+":00:00";
		}
		if (fechaInicioVis != "")
		{
		     fechaInicioVis = fechaInicioVis+" "+document.frm.fech_0_hora_inicioVis.value.toString()+":00:00";
		     tipo_ordenacion = "1";
		}
		if (fechaFinVis != "")
		{
		     fechaFinVis = fechaFinVis+" "+document.frm.fech_0_hora_finVis.value.toString()+":00:00";
		}
		
		<%if (encuesta.equals("nopres")){%>
				if(document.frm.pendientes.checked){
						pen="S";
				}
		<%}else{%>
				pen="N";
		<%}%>
		
		if(document.frm.ultima.checked){
			ulti="S";
			fechaInicio = "";
			fechaFin = "";
		}else{
			ulti="N";
	  	}
		var hay_check=0;
		var numeros_de_check="";
		var elemess = $("input[name^='eliminar_elemento']" );
	    for (i=0;i<elemess.length;i++)
	 			if (elemess[i].type=='checkbox')
		   			if (elemess[i].checked){
						element = document.getElementById(elemess[i].name+"_code")
		   				numeros_de_check += element.value+" ";
		   				hay_check++;
		   			}
	   	if(hay_check==0){
			alert("Debe seleccionar algun elemento para borrarlo si desea hacerlo");
			return;
		}else{
			if (confirm("Se eliminará(n) " + hay_check + " respuesta(s)")){
				document.frm.url_anterior.value=document.URL;
				  document.frm.action="/q53ItourbaskWar/q53BorradoMasivo?usuario="+document.frm.nombres.value+"&pofi="+pofi+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&pendientes="+pen+"&ultima="+ulti+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis;
				  document.frm.codigos_a_eliminar.value=numeros_de_check;
				  document.frm.encuesta.value="<%=encuesta%>";
				document.frm.submit();	
			}
		}	  
}

 
function aceptar(){
		var pen="N";
		var ulti="N";
		var pofi="";
		<%if (encuesta.equals("nopres")){%>
		if(document.frm.pendientes.checked){
				pen="S";
		}<%}else{%>
				pen="N";
		<%}%>
		<%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
			if(document.frm.pofi.value==""){
				alert('la oficina es obligatoria');
				return;
			}
			pofi=document.frm.pofi.value;
		<%}%>
			fechaInicio = document.frm.fechaInicio.value;
			fechaFin = document.frm.fechaFin.value;
			fechaInicioVis = document.frm.fechaInicioVis.value;
			fechaFinVis = document.frm.fechaFinVis.value;
			tipo_ordenacion = document.frm.tipo_ordenacion.value;
			if (fechaInicio != "")
			{
			     fechaInicio = fechaInicio+" "+document.frm.fech_0_hora_inicio.value.toString()+":00:00";
			     tipo_ordenacion = "2";
			}
			if (fechaFin != "")
			{
			     fechaFin = fechaFin+" "+document.frm.fech_0_hora_fin.value.toString()+":00:00";
			}
			if (fechaInicioVis != "")
			{
			     fechaInicioVis = fechaInicioVis+" "+document.frm.fech_0_hora_inicioVis.value.toString()+":00:00";
			     tipo_ordenacion = "1";
			}
			if (fechaFinVis != "")
			{
			     fechaFinVis = fechaFinVis+" "+document.frm.fech_0_hora_finVis.value.toString()+":00:00";
			}
			
		
		if(document.frm.ultima.checked){
			ulti="S";
			fechaInicio = "";
			fechaFin = "";
			var str = "/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=codigo_aleatorio%>&usuario="+document.frm.nombres.value+"&pofi="+pofi+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc=1&tipo_ordenacion="+tipo_ordenacion; ;
	        document.location.href = str;
		}else{		
			ulti="N";
	    	if(pen=="S" && document.frm.fechaInicio.value.replace(/^\s+|\s+$/g, '')=="" && document.frm.fechaFin.value.replace(/^\s+|\s+$/g, '')==""){
	        var str = "/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=codigo_aleatorio%>&usuario="+document.frm.nombres.value+"&pofi="+pofi+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc=1&tipo_ordenacion="+tipo_ordenacion; ;
	        document.location.href = str;
	    }else if(validarFechas()) {
	    	var str = "/q53ItourbaskWar/q53usrBusquedaServlet?cod_al=<%=codigo_aleatorio%>&usuario="+document.frm.nombres.value+"&pofi="+pofi+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc=1&tipo_ordenacion="+tipo_ordenacion; 
	        document.location.href = str;
	    }
    }
}
</script>
<script>

function ver_respuestas (posicion,codigoRespuesta,nResp){
	  <%if (encuesta.equals("pres")){%>
    	var str = "/q53ItourbaskWar/q53usrVerRespuestasPresencialServlet?cod_al=<%=codigo_aleatorio%>&usuario="+document.frm.nombres.value+"&fechaInicio=<%=sd.getVal("fechaInicio")%>&fechaFin=<%=sd.getVal("fechaFin")%>&fechaInicioVis=<%=sd.getVal("fechaInicioVis")%>&fechaFinVis=<%=sd.getVal("fechaFinVis")%>&numRespuestas="+nResp+"&respNum="+posicion+"&cod_respuesta="+codigoRespuesta+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
    	document.formu_lanza_servlet.action=str;
    	document.formu_lanza_servlet.codigosRespuesta.value="<%=sd.gOS("codigosRespuesta")%>";
    	document.formu_lanza_servlet.submit();
    <%}else{%>
    	var str = "/q53ItourbaskWar/q53usrVerRespuestasNoPresencialServlet?cod_al=<%=codigo_aleatorio%>&usuario="+document.frm.nombres.value+"&fechaInicio=<%=sd.getVal("fechaInicio")%>&fechaFin=<%=sd.getVal("fechaFin")%>&fechaInicioVis=<%=sd.getVal("fechaInicioVis")%>&fechaFinVis=<%=sd.getVal("fechaFinVis")%>&numRespuestas="+nResp+"&respNum="+posicion+"&cod_respuesta="+codigoRespuesta+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
   		document.formu_lanza_servlet.action=str;
    	document.formu_lanza_servlet.codigosRespuesta.value="<%=sd.gOS("codigosRespuesta")%>";
    	document.formu_lanza_servlet.submit();
   	<%}%>
    //document.location.href = str;
    
}

var fechaIniJs = "";
var diaIni = "";
var mesIni = "";
var anioIni = "";
var fechaFinJs = "";
var diaFin = "";
var mesFin = "";
var anioFin = "";
var fechaIniJsVis = "";
var diaIniVis = "";
var mesIniVis = "";
var anioIniVis = "";
var fechaFinJsVis = "";
var diaFinVis = "";
var mesFinVis = "";
var anioFinVis = "";
function validarFechas(){
    fechaIniJs = document.frm.fechaInicio.value;
    fechaFinJs = document.frm.fechaFin.value;
    fechaIniJsVis = document.frm.fechaInicioVis.value;
    fechaFinJsVis = document.frm.fechaFinVis.value;
    if ((fechaIniJs != "" && fechaFinJs == "") ||
      (fechaIniJs == "" && fechaFinJs != "")){
      alert("<%= validateDate %>");      
      return;
    }else if((fechaIniJs == "" && fechaFinJs == "") && (fechaIniJsVis == "" && fechaFinJsVis == "")){
	  alert("<%= validateDate %>");
      return;
	}
	if ((fechaIniJsVis != "" && fechaFinJsVis == "") ||
      (fechaIniJsVis == "" && fechaFinJsVis != "")){
      alert("<%= validateDate %>");
      return;
    }else if((fechaIniJsVis == "" && fechaFinJsVis == "") && (fechaIniJs == "" && fechaFinJs == "")){
	  alert("<%= validateDate %>");
      return;
	}

    if (fechaIniJs != ""){
      var tmpFecha = fechaIniJs.split("/");
      diaIni = tmpFecha[0];
      if (diaIni.length == 1) diaIni = "0"+diaIni;
      mesIni = tmpFecha[1];
      anioIni = tmpFecha[2];
    }
    if (fechaFinJs != "") {
      var tmpFecha = fechaFinJs.split("/");
      diaFin = tmpFecha[0];
      if (diaFin.length == 1) diaFin = "0"+diaFin;
      mesFin = tmpFecha[1];
      anioFin = tmpFecha[2];
    }
    if (fechaIniJsVis != ""){
      var tmpFecha = fechaIniJsVis.split("/");
      diaIniVis = tmpFecha[0];
      if (diaIniVis.length == 1) diaIniVis = "0"+diaIniVis;
      mesIniVis = tmpFecha[1];
      anioIniVis = tmpFecha[2];
    }
    if (fechaFinJsVis != "") {
      var tmpFecha = fechaFinJsVis.split("/");
      diaFinVis = tmpFecha[0];
      if (diaFinVis.length == 1) diaFinVis = "0"+diaFinVis;
      mesFinVis = tmpFecha[1];
      anioFinVis = tmpFecha[2];
    }
    tipo_tiempo = "TIPO TIEMPO POR DEFINIR!!!";
    var tmpFechaIni = anioIni + ""+ mesIni +""+ diaIni; 
    var tmpFechaFin = anioFin + ""+ mesFin +""+ diaFin;
    var tmpFechaIniVis = anioIniVis + ""+ mesIniVis +""+ diaIniVis;
    var tmpFechaFinVis = anioFinVis + ""+ mesFinVis +""+ diaFinVis;
    if (tmpFechaIni > tmpFechaFin){
      alert("<%= validateDate %>");
      return false;
    }else{
        return true;
    }
    if (tmpFechaIniVis > tmpFechaFinVis){
      alert("<%= validateDate %>");
      return false;
    }else{
        return true;
    }
}
function circuloOver2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#000000';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#000000';
}

function circuloOut2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#FFFFFF';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#FFFFFF';
}

function circuloOverSel2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#0090D3';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#0090D3';
}

function circuloOutSel2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#000000';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#000000';
}
function ordenarAscendente(valor){

		document.frm.tipo_ordenacion.value = valor;
		document.frm.des.value="";
		document.frm.asc.value="1";
		var pen="N";
		var ulti="N";
		<%if (encuesta.equals("nopres")){%>
			if(document.frm.pendientes.checked){
				pen="S";
			}
		<%}else{%>
				pen="N";
		<%}%>
		if(document.frm.ultima.checked){
			ulti="S";
		}else{
			ulti="N";
		}
		fechaInicio = document.frm.fechaInicio.value;
		fechaFin = document.frm.fechaFin.value;
		fechaInicioVis = document.frm.fechaInicioVis.value;
		fechaFinVis = document.frm.fechaFinVis.value;
		if (fechaInicio != "")
		{
		     fechaInicio = fechaInicio+" "+document.frm.fech_0_hora_inicio.value.toString()+":00:00";
		}
		if (fechaFin != "")
		{
		     fechaFin = fechaFin+" "+document.frm.fech_0_hora_fin.value.toString()+":00:00";
		}
		if (fechaInicioVis != "")
		{
		     fechaInicioVis = fechaInicioVis+" "+document.frm.fech_0_hora_inicioVis.value.toString()+":00:00"; 
		}
		if (fechaFinVis != "")
		{
		     fechaFinVis = fechaFinVis+" "+document.frm.fech_0_hora_finVis.value.toString()+":00:00";
		}
		

		<%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
			var str = "/q53ItourbaskWar/q53usrBusquedaServlet?usuario="+document.frm.nombres.value+"&pofi="+document.frm.pofi.value+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
		<%}else{%>
			var str = "/q53ItourbaskWar/q53usrBusquedaServlet?usuario="+document.frm.nombres.value+"&pofi=&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
		<%}%>
	  document.location.href = str;
}
function ordenarDescendente(valor){

		document.frm.tipo_ordenacion.value = valor;
		document.frm.asc.value="";
		document.frm.des.value=valor;
		var pen="N";
		var ulti="N";
		<%if (encuesta.equals("nopres")){%>
			if(document.frm.pendientes.checked){
				pen="S";
			}
		<%}else{%>
				pen="N";
		<%}%>
		if(document.frm.ultima.checked){
			ulti="S";
		}else{
			ulti="N";
		} 
		fechaInicio = document.frm.fechaInicio.value;
		fechaFin = document.frm.fechaFin.value;
		fechaInicioVis = document.frm.fechaInicioVis.value;
		fechaFinVis = document.frm.fechaFinVis.value;
		if (fechaInicio != "")
		{
		     fechaInicio = fechaInicio+" "+document.frm.fech_0_hora_inicio.value.toString()+":00:00";
		}
		if (fechaFin != "")
		{
		     fechaFin = fechaFin+" "+document.frm.fech_0_hora_fin.value.toString()+":00:00";
		}
		if (fechaInicioVis != "")
		{
		     fechaInicioVis = fechaInicioVis+" "+document.frm.fech_0_hora_inicioVis.value.toString()+":00:00"; 
		}
		if (fechaFinVis != "")
		{
		     fechaFinVis = fechaFinVis+" "+document.frm.fech_0_hora_finVis.value.toString()+":00:00";
		}
		
		<%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
			var str = "/q53ItourbaskWar/q53usrBusquedaServlet?usuario="+document.frm.nombres.value+"&pofi="+document.frm.pofi.value+"&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
		<%}else{%>
			var str = "/q53ItourbaskWar/q53usrBusquedaServlet?usuario="+document.frm.nombres.value+"&pofi=&encuesta=<%=encuesta%>&fechaInicio="+fechaInicio+"&fechaFin="+fechaFin+"&fechaInicioVis="+fechaInicioVis+"&fechaFinVis="+fechaFinVis+"&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=&pendientes="+pen+"&ultima="+ulti+"&asc="+document.frm.asc.value+"&tipo_ordenacion="+document.frm.tipo_ordenacion.value;
		<%}%>
	  document.location.href = str;
}

</script>
<%q53EncuestaBean encuestaVisible = null;

    if(sd.getVal("encVisible") != null){
        encuestaVisible = (q53EncuestaBean)sd.getVal("encVisible");

    }
    String respAsociada = "";
    if(sd.getVal("respuesta_rd_asociada") != null){
        respAsociada = (String)sd.getVal("respuesta_rd_asociada");
    }
    String encTerminadas = "";
    if(sd.getVal("encuestas_terminadas") != null){
        encTerminadas = (String)sd.getVal("encuestas_terminadas");
    }
    String tipoOrdenacion = "";
    if(sd.getVal("tipo_ordenacion") != null){
        tipoOrdenacion = (String)sd.getVal("tipo_ordenacion");
    }
    String ordenacionAsc = "";
    if(sd.getVal("asc") != null){
        ordenacionAsc = (String)sd.getVal("asc");
    }
%>   
<%String fechaInit = "";

String fechaEnd = "";

String fechaInitVis = "";

String fechaEndVis = "";


if(sd.getVal("fechaInicio") != null){
    fechaInit=(String)sd.getVal("fechaInicio");
    if(fechaInit!= "")
    {
    	int i=0;
    	String[] fechaInitSinHora =new String[2];
        StringTokenizer tokens = new StringTokenizer(fechaInit);  
        while(tokens.hasMoreTokens()){  
        fechaInitSinHora[i]=tokens.nextToken();
        i=i+1;  
         } 
        fechaInit = fechaInitSinHora[0];
        if(fechaInitSinHora[1]!=null){
        horainit=fechaInitSinHora[1].substring(0,2);
       }
    }
}
if(sd.getVal("fechaFin") != null){
    fechaEnd=(String)sd.getVal("fechaFin");
	if(fechaEnd!= "")
    {
    	int i=0;
    	String[] fechaEndSinHora =new String[2];
        StringTokenizer tokens = new StringTokenizer(fechaEnd);  
        while(tokens.hasMoreTokens()){  
        fechaEndSinHora[i]=tokens.nextToken();
        i=i+1;  
         } 
        fechaEnd = fechaEndSinHora[0];
        if(fechaEndSinHora[1]!=null){
        horaend=fechaEndSinHora[1].substring(0,2);
       }
    }
}
if(sd.getVal("fechaInicioVis") != null){
    fechaInitVis=(String)sd.getVal("fechaInicioVis");
    if(fechaInitVis!= "")
    {
    	int i=0;
    	String[] fechaInitVisSinHora =new String[2];
        StringTokenizer tokens = new StringTokenizer(fechaInitVis);  
        while(tokens.hasMoreTokens()){  
        fechaInitVisSinHora[i]=tokens.nextToken();
        i=i+1;  
         } 
        fechaInitVis = fechaInitVisSinHora[0];
        if(fechaInitVisSinHora[1]!=null){
        horainitvis=fechaInitVisSinHora[1].substring(0,2);
       }
    }
}
if(sd.getVal("fechaFinVis") != null){
	fechaEndVis=(String)sd.getVal("fechaFinVis");
	if(fechaEndVis!= "")
    {
    	int i=0;
    	String[] fechaEndVisSinHora =new String[2];
        StringTokenizer tokens = new StringTokenizer(fechaEndVis);  
        while(tokens.hasMoreTokens()){  
        fechaEndVisSinHora[i]=tokens.nextToken();
        i=i+1;  
         } 
        fechaEndVis = fechaEndVisSinHora[0];
        if(fechaEndVisSinHora[1]!=null){
        horaendvis=fechaEndVisSinHora[1].substring(0,2);
       }
    }
}
%>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- MENU -->
<jsp:include page="/q53_gen_menu.jsp" />
<!-- FIN MENU -->
	<form name="formu_lanza_servlet" action="" method="POST">
		<input type="hidden" value="" name="codigosRespuesta">
	</form>
<div class="container">
	<div class="col-sm-1"></div>
	<div class="col-sm-12 body_encuesta">
		<div id="cabecera_encuesta" class="col-sm-12">
				<span><%=enc_busqueda_resp%></span> 
			</div>
		<div id="encuesta" class="col-sm-12 form-group">
				<div class="col-sm-12 form-group">
				<div class="col-sm-2"></div>
				<div class="col-sm-10">
					<span class="apartado"><%=enc_title_busqueda%>:<span>            
				</div>
				</div>
		  <!-- FIN PARTE DE ULTIMA RESPUESTA -->
			<form name="frm" method="post" action="/q53ItourbaskWar/q53usrBusquedaServlet" class="frmclass">
					<input type="hidden" name="encuestas_terminadas" value="<%=encTerminadas%>">
					<input type="hidden" name="respuesta_rd_asociada" value="<%=respAsociada%>">
					<input type="hidden" name="ofi_cod_encuesta" value="">
					<input type="hidden" name="ofi_cod_version" value="">
					<input type="hidden" name="gv_cod_encuesta" value="0">
					<input type="hidden" name="gv_cod_version" value="1">
					<input type="hidden" name="dia_ini">
					<input type="hidden" name="mes_ini">
					<input type="hidden" name="anio_ini">
					<input type="hidden" name="dia_fin">
					<input type="hidden" name="mes_fin">
					<input type="hidden" name="codigos_a_eliminar">
					<input type="hidden" name="encuesta">
					<input type="hidden" name="anio_fin">
					<input type="hidden" name="asc" value="<%=ordenacionAsc%>">
					<input type="hidden" name="des" value="">
					<input type="hidden" name="tipo_ordenacion" value="<%=tipoOrdenacion%>">    
					<input type="hidden" name="url_anterior" value="">
					
					
					<div class="col-sm-12"></div>
					<%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
						<%if(session.getAttribute("pofi")!=null && session.getAttribute("pofi").toString().length()>0 ){%>
						<div class="col-sm-12  form-group">
							<div class="col-sm-2">
								<span class="apartado"><%=lofi%></span>
							</div>
							<div class="col-sm-10">
								<div class="floating-select-txt-from-label">
								<label for="pofi" ><%=lofi%></label>
								<select id="pofi" name="pofi" style="width:200px">
								<%
								boolean omitir = false;
								for(int i=0;i<oficinasList.size();i++){
									q53OficinaBean procedenciaBean=(q53OficinaBean)oficinasList.get(i);
									if (procedenciaBean.getCodigoOficina().equals(sd.gOS("q53_cki.q53_oficina"))){
										omitir = true;
										break;
									}
								}
								%>
								<%if(!omitir){%>
								<option value="<%=sd.gOS("q53_cki.q53_oficina")%>"> <%= q53Util.getNombreOficina(sd, sd.gOS("q53_cki.q53_oficina")) %></option>
								<%} %>
								
									<%for(int i=0;i<oficinasList.size();i++){
											q53OficinaBean procedenciaBean=(q53OficinaBean)oficinasList.get(i);
											if(procedenciaBean.getCodigoOficina().equals(session.getAttribute("pofi"))){%>
											<option value="<%=session.getAttribute("pofi")%>" selected><%=procedenciaBean.getNombreOficina()%></option>
											<%}else{%>
											<option value="<%=procedenciaBean.getCodigoOficina()%>"><%=procedenciaBean.getNombreOficina()%></option>
											<%}%>
									<%}%>   
									</select>	
								</div>
								</div>
						</div>
						<%}else{%>
						<div class="col-sm-12  form-group">
						<div class="col-sm-2">
								<span class="apartado"><%=lofi%></span>
							</div>
							<div class="col-sm-10">
							<div class="floating-select-txt-from-label">
								<label for="pofi" ><%=lofi%></label>
							<select id="pofi" name="pofi" style="width:200px">
								<%
								boolean omitir = false;
								for(int i=0;i<oficinasList.size();i++){
									q53OficinaBean procedenciaBean=(q53OficinaBean)oficinasList.get(i);
									if (procedenciaBean.getCodigoOficina().equals(sd.gOS("q53_cki.q53_oficina"))){
										omitir = true;
										break;
									}
								}
								%>
								<%if(!omitir){%>
								<option value="<%=sd.gOS("q53_cki.q53_oficina")%>"> <%= q53Util.getNombreOficina(sd, sd.gOS("q53_cki.q53_oficina")) %></option>
								<%} %>
								<%for(int i=0;i<oficinasList.size();i++){
										q53OficinaBean procedenciaBean=(q53OficinaBean)oficinasList.get(i);
										String sss = procedenciaBean.getCodigoOficina().equals(session.getAttribute("pofi")) ? "selected" : "";%>
								<option value="<%=procedenciaBean.getCodigoOficina()%>" <%=sss%>><%=procedenciaBean.getNombreOficina()%></option>
							 <%}%>   
							</select>	
						</div>
						</div>		
						</div>
						<%}%>		
						<div class="col-sm-12 " style="margin-bottom: 15px;">
							<div class="col-sm-2">
								<span class="apartado"><%=enc_usuario%></span>
							</div>
							<div class="col-sm-10">
								<div class="floating-select-txt-from-label">
								<label for="cmbnombres" ><%=enc_usuario%></label>
								<select id="cmbnombres" name="nombres" style="width:200px">
										<option value="0"></option>
										<%for(int i=0;i<nombresList.size();i++){		
												String nombre_completo=(String)nombresList.get(i);		
												String nombre = "";	
												String codigo_persona = "";
												StringTokenizer tk = new StringTokenizer(nombre_completo, "##");				
												if (tk.hasMoreTokens())
													nombre = tk.nextToken();
												if (tk.hasMoreTokens())
													codigo_persona = tk.nextToken();					    
												if(sd.gOS("usuario").equals(nombre)){%>
													<option value="<%=codigo_persona%>" selected><%=nombre%></option>
												<%}else{ %>
													<option value="<%=codigo_persona%>"><%=nombre%></option>
												<%}%>
										 <%}%>  
							  </select>	
							</div>
							</div>
						</div>
					<%}else{%>
					<div class="col-sm-12" style="margin-bottom: 15px;">
							<div class="col-sm-2">
								<span class="apartado"><%=enc_usuario%></span>
							</div>
							<div class="col-sm-10">
							<div class="floating-select-txt-from-label">
								<label for="cmbnombres" ><%=enc_usuario%></label>
								<select id="cmbnombres" name="nombres" style="width:200px">
										<option value="0"></option>
										<% if (q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO)){
											 for(int i=0;i<nombresList.size();i++){
												String nombre_completo=(String)nombresList.get(i);		
												String nombre = "";	
												String codigo_persona = "";
												StringTokenizer tk = new StringTokenizer(nombre_completo, "##");				
												if (tk.hasMoreTokens())
													nombre = tk.nextToken();
												if (tk.hasMoreTokens())
													codigo_persona = tk.nextToken();	
												if(sd.gOS("usuario").equals(nombre)){%>
													<option value="<%=codigo_persona%>" selected><%=nombre%></option>
												<%}else{ %>
													<option value="<%=codigo_persona%>"><%=nombre%></option>
												<%}%>
										   <%}%>  
										<%}else if(q53Util.esPerfil(sd, q53Constantes.PERFIL_USRO)){%>
											<option value="<%=sd.gOS("q53_cki.q53_usuario")%>"><%=q53Util.getNombreUsuario(sd, sd.gOS("q53_cki.q53_usuario"))%></option>	           			
										<%}%> 
							  </select>	
							</div>
							</div>
						</div>
					<%}%>
				<div class="col-sm-12  form-group">
					<div class="col-sm-2">
						<span class="apartado"><%=enc_titulo_fecha_vis%></span>
					</div>
					<div class="col-sm-10">
					<div class="col-sm-12">
					<div class="col-sm-4">
						<div class="floating-placeholder">
								<input type="text" id="fechaInicioVis_shown" class="date datepicker" value="<%=(fechaInitVis!=null)? fechaInitVis :""%>"  placeholder="<%=enc_fecha_inicio%>">
						<label></label>
								</div>
								<input type="hidden" id="fechaInicioVis" value="<%=(fechaInitVis!=null)? fechaInitVis :""%>"/>
						<div class="floating-select-txt-from-label">
								<label for='fechaInicioVisHora' ><%=enc_tipo_hora %></label> 	
								<SELECT  style='min-width: 55px;' id="fechaInicioVisHora" name=fech_0_hora_inicioVis> 
								<OPTION value="00" selected></OPTION> 
								<OPTION value=07>07:00</OPTION> 
								<OPTION value=08>08:00</OPTION> 
								<OPTION value=09>09:00</OPTION> 
								<OPTION value=10>10:00</OPTION> 
								<OPTION value=11>11:00</OPTION> 
								<OPTION value=12>12:00</OPTION> 
								<OPTION value=13>13:00</OPTION> 
								<OPTION value=14>14:00</OPTION> 
								<OPTION value=15>15:00</OPTION> 
								<OPTION value=16>16:00</OPTION> 
								<OPTION value=17>17:00</OPTION> 
								<OPTION value=18>18:00</OPTION> 
								<OPTION value=19>19:00</OPTION> 
								<OPTION value=20>20:00</OPTION> 
								<OPTION value=21>21:00</OPTION> 
								<OPTION value=22>22:00</OPTION>
						</SELECT>
						</div>
					</div>
					</div>
					<div class="col-sm-12">
					<div class="col-sm-4">
					<div class="floating-placeholder">
								<input type="text" id="fechaFinVis_shown" class="date datepicker" value="<%= (fechaEndVis!=null)? fechaEndVis :""%>"  placeholder="<%=enc_fecha_fin%>">
					<label></label>
								</div>
								<input type="hidden" id="fechaFinVis" value="<%=(fechaEndVis!=null)? fechaEndVis :""%>"/>
						<div class="floating-select-txt-from-label">
								<label for='fechaFinVisHora' ><%=enc_tipo_hora %></label> 	
								<SELECT   style='min-width: 55px;' id="fechaFinVisHora" name=fech_0_hora_finVis> 
							<OPTION value="23" selected></OPTION> 
							<OPTION value=07>07:00</OPTION> 
							<OPTION value=08>08:00</OPTION> 
							<OPTION value=09>09:00</OPTION> 
							<OPTION value=10>10:00</OPTION> 
							<OPTION value=11>11:00</OPTION> 
							<OPTION value=12>12:00</OPTION> 
							<OPTION value=13>13:00</OPTION> 
							<OPTION value=14>14:00</OPTION> 
							<OPTION value=15>15:00</OPTION> 
							<OPTION value=16>16:00</OPTION> 
							<OPTION value=17>17:00</OPTION> 
							<OPTION value=18>18:00</OPTION> 
							<OPTION value=19>19:00</OPTION> 
							<OPTION value=20>20:00</OPTION> 
							<OPTION value=21>21:00</OPTION> 
							<OPTION value=22>22:00</OPTION>
					</SELECT>
					</div>
					</div>
					</div>
					</div>
				</div>
				<div class="col-sm-12  form-group">
					<div class="col-sm-2">
						<span class="apartado"><%=enc_titulo_fecha_intro%></span>
					</div>
					<div class="col-sm-10">
						<div class="col-sm-12">
							<div class="col-sm-4">
								<div class="floating-placeholder">
								<input type="text" placeholder="<%=enc_fecha_inicio%>" id="fechaInicio_shown" class="date datepicker" value="<%=(fechaInit!=null)? fechaInit :""%>" placeholder="<%=enc_fecha_inicio%>" />
								<label></label>
								</div>
								<input type="hidden" id="fechaInicio" value="<%=(fechaInit!=null)? fechaInit :""%>"/>
								<div class="floating-select-txt-from-label">
								<label for='fechaInicioHora' ><%=enc_tipo_hora %></label> 	
								<SELECT  style='min-width: 55px;' id="fechaInicioHora" name=fech_0_hora_inicio> 
										<OPTION value="00" selected></OPTION> 
										<OPTION value=07>07:00</OPTION> 
										<OPTION value=08>08:00</OPTION> 
										<OPTION value=09>09:00</OPTION> 
										<OPTION value=10>10:00</OPTION> 
										<OPTION value=11>11:00</OPTION> 
										<OPTION value=12>12:00</OPTION> 
										<OPTION value=13>13:00</OPTION> 
										<OPTION value=14>14:00</OPTION> 
										<OPTION value=15>15:00</OPTION> 
										<OPTION value=16>16:00</OPTION> 
										<OPTION value=17>17:00</OPTION> 
										<OPTION value=18>18:00</OPTION> 
										<OPTION value=19>19:00</OPTION> 
										<OPTION value=20>20:00</OPTION> 
										<OPTION value=21>21:00</OPTION> 
										<OPTION value=22>22:00</OPTION>
								</SELECT>
								</div>
							</div>
						</div>
						<div class="col-sm-12">
							<div class="col-sm-4">
								<div class="floating-placeholder">
								<input type="text" id="fechaFin_shown" class="date datepicker" value="<%=(fechaEnd!=null) ? fechaEnd : ""%>"  placeholder="<%=enc_fecha_fin%>">
								<label></label>
								</div>
								<input type="hidden" id="fechaFin" value="<%=(fechaEnd!=null)? fechaEnd :""%>"/>
								<div class="floating-select-txt-from-label">
								<label for='fechaFinHora' ><%=enc_tipo_hora %></label> 	
								<SELECT  style='min-width: 55px;' id="fechaFinHora" name=fech_0_hora_fin> 
										<OPTION value="23" selected></OPTION> 
										<OPTION value=07>07:00</OPTION> 
										<OPTION value=08>08:00</OPTION> 
										<OPTION value=09>09:00</OPTION> 
										<OPTION value=10>10:00</OPTION> 
										<OPTION value=11>11:00</OPTION> 
										<OPTION value=12>12:00</OPTION> 
										<OPTION value=13>13:00</OPTION> 
										<OPTION value=14>14:00</OPTION> 
										<OPTION value=15>15:00</OPTION> 
										<OPTION value=16>16:00</OPTION> 
										<OPTION value=17>17:00</OPTION> 
										<OPTION value=18>18:00</OPTION> 
										<OPTION value=19>19:00</OPTION> 
										<OPTION value=20>20:00</OPTION> 
										<OPTION value=21>21:00</OPTION> 
										<OPTION value=22>22:00</OPTION>
								</SELECT>
								</div>
							</div>
						</div>
					</div>
				</div>
				<%String checkedUltima = (session.getAttribute("ultima")!=null && session.getAttribute("ultima").toString().equalsIgnoreCase("S")) ? "checked" : "";%>
					<div class="col-sm-12">
						<div class="col-sm-2">
						</div>
						<div class="col-sm-10">
							<input type="checkbox" align="left" name="ultima" value="S" <%=checkedUltima%> id="ultima_chk" />
							<label for="ultima_chk"></label>
							<label for="ultima_chk"><%=enc_ultima%><label>
						</div>
					</div>
					<%if(encuesta.equals("nopres")){%>
					<%String checkedSoloPend = (session.getAttribute("pendientes")!=null && session.getAttribute("pendientes").toString().equalsIgnoreCase("S")) ? "checked" : "";%>
					<div class="col-sm-12">
						<div class="col-sm-2">
						</div>
						<div class="col-sm-10">
							<input type="checkbox" align="left" name="pendientes" value="S" <%=checkedSoloPend%> id="pendientes" />
							<label for="pendientes"></label>
							<label for="pendientes"><%=enc_solo_pendientes%><label>
						</div>
					</div>
					<%}%>
				<script>
				if ('<%=horainit%>' != ':0'){
					for (j=0;j<document.frm.fech_0_hora_inicio.options.length-1;j++)
						if(document.frm.fech_0_hora_inicio.options[j].value=='<%=horainit%>')
							document.frm.fech_0_hora_inicio.options[j].selected=true;
					}
				if ('<%=horaend%>' != ':0'){
					for (j=0;j<document.frm.fech_0_hora_fin.options.length-1;j++)
						if(document.frm.fech_0_hora_fin.options[j].value=='<%=horaend%>')
							document.frm.fech_0_hora_fin.options[j].selected=true;
					}
				if ('<%=horainitvis%>' != ':0'){
						for (j=0;j<document.frm.fech_0_hora_inicioVis.options.length-1;j++)
							if(document.frm.fech_0_hora_inicioVis.options[j].value=='<%=horainitvis%>')
								document.frm.fech_0_hora_inicioVis.options[j].selected=true;
						}
				if ('<%=horaendvis%>' != ':0'){
					for (j=0;j<document.frm.fech_0_hora_finVis.options.length-1;j++)
						if(document.frm.fech_0_hora_finVis.options[j].value=='<%=horaendvis%>')
							document.frm.fech_0_hora_finVis.options[j].selected=true;
					}
				</script>
					<div id="botones" class="btn">
						 <a href="javascript:cambiarFecha();aceptar();"" hidefocus id="btn_aceptar" class="btn btn-dark"><%= gen_aceptar %></a><%String codEncuesta="0";
				  String codVersion ="1";          
				  if(encuestaVisible != null){
					  
					  codEncuesta = encuestaVisible.getCodEncuesta();              
					  codVersion = encuestaVisible.getCodVersion();              
				  }
				  if(codEncuesta == null) {
					codEncuesta="0";
				  } if(codVersion == null) {
					codVersion="1";
				  }%>
				  <%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
					<a href="javascript:void(0)" hidefocus id="btn_modificar" class="btn btn-dark"><%=enc_mod_ofi%></a>
				  <%}
				  if(hay_notificacion_correo.equals("si")){%>
					<a href="javascript:void(0)" onClick="crear_notificacion()" hidefocus id="btn_comunicacion" class="btn btn-dark"><%=not_comcorreo%></a>
				<%}
				  if (encuesta.equals("pres")){%>
					<a href="/q53ItourbaskWar/q53usrEncuestaPresencialServlet?cod_encuesta=<%=codEncuesta%>&cod_version=<%=codVersion%>&respuesta_rd_asociada=<%=respAsociada%>&encuestas_terminadas=<%=encTerminadas%>" hidefocus id="btn_volver" class="btn btn-dark"><%=sd.getVal("volver")%></a>
				<%}else{%>
					<a href="/q53ItourbaskWar/q53usrEncuestaNoPresencialServlet?cod_encuesta=<%=codEncuesta%>&cod_version=<%=codVersion%>&respuesta_rd_asociada=<%=respAsociada%>&encuestas_terminadas=<%=encTerminadas%>" hidefocus id="btn_volver" class="btn btn-dark"><%=sd.getVal("volver")%></a>
					<%}%>
					</div>
					
				</form>
			</div>
		</div>
    </div>
</div>

<%List respuestasList = null;
if(sd.getVal("respuestasList") != null){
    respuestasList = (List)sd.getVal("respuestasList");%>
	<div class="container">
	<div class="col-sm-12 body_encuesta">
	
	<div class="col-sm-12">
<!-- FIN info. de la respuesta -->
     <table class="responsive-table">
     <thead>
     	<th scope="col"></th>
		<th scope="col"><%=enc_titulo_fecha_vis%>
            <a href="javascript:ordenarAscendente(1);" class="orden">&#9650;</a>
            <a href="javascript:ordenarDescendente(1);" class="orden">&#9660;</a>
         </th>
         <th scope="col"><%=enc_titulo_fecha_intro%>
            <a href="javascript:ordenarAscendente(2);" class="orden">&#9650;</a>
            <a href="javascript:ordenarDescendente(2);" class="orden">&#9660;</a> 
        </th>  
         <%if (encuesta.equals("pres")){%>
		<th scope="col"><%=enc_personas%>
            <a href="javascript:ordenarAscendente(3);" class="orden">&#9650;</a>
            <a href="javascript:ordenarDescendente(3);" class="orden">&#9660;</a>                                         
        </th>
		<th scope="col"><%=ENC_TIPO_PROCEDENCIA%>  
            <a href="javascript:ordenarAscendente(5);" class="orden">&#9650;</a>
            <a href="javascript:ordenarDescendente(5);" class="orden">&#9660;</a>                                                                               
        </th>
         <%}else{%>
		<th scope="col"><%=enc_medio_recep%></th>
		<th scope="col"><%=ENC_TIPO_PROCEDENCIA%></th>
		<th scope="col"><%=enc_estado%></th>
		 <%}%>
		<th scope="col"><%=enc_usuario%>
            <a href="javascript:ordenarAscendente(4);" class="orden">&#9650;</a>
            <a href="javascript:ordenarDescendente(4);" class="orden">&#9660;</a> 
        </th>
        <th scope="col"><%=not_datos%></th>
        <%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR) || q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO)){%>
		            <th scope="col">Borrar</th>
		 <%}%>
		</thead> 
		<tfoot></tfoot>
		<tbody>                    
        <%int totalVisitasFiltro = 0;%>
        <%int totalVisitantesFiltro = 0;%>
        <%int numVisitantes = 0;%>
        <%if(respuestasList != null && !respuestasList.isEmpty()){
            int numResp = respuestasList.size();
            for(int i=0;i<numResp;i++){            	
                q53RespuestaBean respuestaBean = (q53RespuestaBean)respuestasList.get(i);                
                int respNum = i+1;
                %>                                
        <tr <%if(respuestaBean.getDescripcion()!=null && respuestaBean.getDescripcion().length()>0){ %>class="noborders" <%} %>>
            <th scope="row"">
             	 <%
		            	if(respuestaBean.getTiene_notificacion().equals("si")){
		            		q53NotificacionBean notificacionBean = respuestaBean.getNotificacionBean();
		            		String tipo_envio=notificacionBean.getTipo_envio();
		            		
		            		if(tipo_envio.equals("1")){
		            			num_notificaciones_correo+=1;
		            			hay_notificacion_correo="si";
		            			%>
		            			  <input type="checkbox"  name="notificacion_correo_<%=num_notificaciones_correo%>" value="<%=num_notificaciones_correo%>">
		            			  <input type="hidden" name="nombre_<%=num_notificaciones_correo%>" value="<%=notificacionBean.getNombre()%>">
		            			  <input type="hidden" name="direccion_<%=num_notificaciones_correo%>" value="<%=notificacionBean.getDireccion()%>">
		            			  <input type="hidden" name="localidad_<%=num_notificaciones_correo%>" value="<%=notificacionBean.getLocalidad()%>">
		            			  <input type="hidden" name="codPostal_<%=num_notificaciones_correo%>" value="<%=notificacionBean.getCodPostal()%>">
		            			<%
		            		}else if(tipo_envio.equals("2")){
		            			%><input type="checkbox" disabled="true"><%
		            		}else if(tipo_envio.equals("3")){
		            			%><input type="checkbox" disabled="true"><%
		            		}	            			
		            	}
		            %>		              	
           
            </th> 
            <td  data-title="<%=enc_titulo_fecha_vis%>">
            <a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">
             <%= respuestaBean.getFechaRespuesta()%></a></td>
            <td   data-title="<%=enc_titulo_fecha_intro%>">
            <a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">
            <%= respuestaBean.getFechaCreacionRespuesta()%>
            </a></td>
            <%totalVisitasFiltro=totalVisitasFiltro+1;%>
            <%if(respuestaBean.getTipoEncuesta().equals("pres")){
            %>        
                <%numVisitantes = 0;%>
                <%numVisitantes = new Integer(respuestaBean.getNumPersonas()).intValue();%>
               <%-- <script>alert("Numero de personas del Bean: -"+<%=respuestaBean.getNumPersonas()%>+"-");</script>
            	<script>alert("Numero de personas: -"+<%=numVisitantes%>+"-");</script> --%>
            		<%totalVisitantesFiltro=totalVisitantesFiltro+numVisitantes;%>
            		<td   data-title="<%=enc_personas%>">
            		<a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">
            		<%=respuestaBean.getNumPersonas()%></a></td>
            		<%
            		List procs=respuestaBean.getProcedenciaList();
            		 if(procs!=null){
            		 int lon =procs.size();
            		 String nproc="";
            		 
            		%>								
            			
            		<td data-title="<%=ENC_TIPO_PROCEDENCIA%>">
											<%for(int p=0;p<lon;p++){
            							q53RespuestaProcedenciaBean proc=(q53RespuestaProcedenciaBean)procs.get(p);%>
													<%if(proc.getcLocal().equalsIgnoreCase("S")){
														if(nproc.length()>0){nproc+="-";}
														nproc+=ENC_LOCAL;
													}else if(proc.getCodPais().length()>0 && proc.getCodPais().equals("10") && proc.getcPos().equals("999")){
														 if(nproc.length()>0){nproc+="-";}
														 nproc+="("+proc.getcPos()+")";
            								 if(q53_idioma.equals("C")){nproc+=proc.getPaisNameCas();}else{nproc+=proc.getPaisNameEus();} 
            							}else if (proc.getcPos().length()>0 && !proc.getcPos().equals("0")){
														 if(nproc.length()>0){nproc+="-";}
														 nproc+="("+proc.getcPos()+")";
                             if(q53_idioma.equals("C")){nproc+=proc.getComunidadNameCas();}else{nproc+=proc.getComunidadNameEus();}
            							}else if(proc.getCodPais().length()>0 && !proc.getCodPais().equals("0") && !proc.getCodPais().equals("10")){
            								 if(nproc.length()>0){nproc+="-";}
            								 if(!proc.getcPos().equals("0")){nproc+="("+proc.getcPos()+")";}
														 if(q53_idioma.equals("C")){nproc+=proc.getPaisNameCas();}else{nproc+=proc.getPaisNameEus();} 
            							}
            					}%>
            			<a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">		
            				<%=nproc%>
            			</a>	
            			</td>
            		<%}else{%>
            			<td>&nbps;</td>
            		<%}%>
            		<!-- Nombre y apellido de la persona que realizo la encuesta--> 		
		            <td data-title="<%=enc_usuario%>">	
		            <font size="1"><%=respuestaBean.getNombrePersona()%>		  
		            </td>
		        <!-- Muestra si tiene datos para enviar notificacion --> 		
		            <td data-title="<%=not_datos%>">	
		            <%
		            
		            	if(respuestaBean.getTiene_notificacion().equals("si")){
		            		
		            		q53NotificacionBean notificacionBean = respuestaBean.getNotificacionBean();
		            		
		            		String tipo_envio=notificacionBean.getTipo_envio();
		            		
		            		if(tipo_envio.equals("1")){
		            			%><font color="red"><%=not_correo%></font><%
		            		}else if(tipo_envio.equals("2")){
		            			%><font color="red"><%=not_email%></font><%
		            		}else if(tipo_envio.equals("3")){
		            			%><font color="red"><%=not_fax%></font><%
		            		}	            			
		            	}
		            %>		  
		            </td>	
		            <%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR) || q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO)){%>
						            <td data-title="Borrar">
				            				<input id="eliminar_elemento_<%=check_elim_index%>"  name="eliminar_elemento_<%=check_elim_index%>" value="<%=check_elim_index%>" type="checkbox" onclick="activarBorrar()">
				            				<label for="eliminar_elemento_<%=check_elim_index%>"></label>
											<label for="eliminar_elemento_<%=check_elim_index%>"></label>
			            					<input name="eliminar_elemento_<%=check_elim_index%>_code" id="eliminar_elemento_<%=check_elim_index%>_code" value="<%=respuestaBean.getCodRespuesta()%>" type="hidden">
				            				<%check_elim_index++;%>
				        			</td>
				     <%}%>
        			</tr>
        			<%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
        			     <tr id="info_modificar_<%=i%>" style="display:none">
        					<td class="textonegrobold" colspan="5">
        						Fecha de visita -> <input type="text" class="inptxt" style="width: 130px;" id="mod_fecha_visita_<%=i%>" value="<%=respuestaBean.getFechaRespuesta()%>">
        						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        						Oficina -> <input type="text" class="inptxt" style="width: 130px;" id="mod_oficina_<%=i%>" value="<%=respuestaBean.getCodOficina()%>">
        						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        						<input type="button" value="Modificar" class="inptxt" onclick="javascript:modificar_respuesta(<%=i%>,<%=respuestaBean.getCodRespuesta()%>)" style="width: 60px;">
        					</td>
        					<td class="textonegrobold" colspan="4" id="estado_modificar_<%=i%>">
        				 </tr> 
        		  <%}%> 
            <%}else{%>
            		<td data-title="<%=enc_medio_recep%>">
            		<a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">
            		<%=respuestaBean.getMedioRecepEnc()%></a></td>
            		<%
            		List procs=respuestaBean.getProcedenciaList();
            		 if(procs!=null){
            		 int lon =procs.size(); 
            		 String nproc="";
            		%>
            		
            			<td data-title="<%=ENC_TIPO_PROCEDENCIA%>">
											<%for(int p=0;p<lon;p++){
            							q53RespuestaProcedenciaBean proc=(q53RespuestaProcedenciaBean)procs.get(p);
													if(proc.getcLocal().equalsIgnoreCase("S")){p++;nproc+=ENC_LOCAL;
													}else if(proc.getCodPais().length()>0 && proc.getCodPais().equals("10") && proc.getcPos().equals("999")){
													 	 if(nproc.length()>0){nproc+="-";}
													 	 nproc+="("+proc.getcPos()+")";
            								 if(q53_idioma.equals("C")){nproc+=proc.getPaisNameCas();}else{nproc+=proc.getPaisNameEus();} 
            							}else if (proc.getcPos().length()>0 && !proc.getcPos().equals("0")){
														 if(nproc.length()>0){nproc+="-";}
														 nproc+="("+proc.getcPos()+")";
                             if(q53_idioma.equals("C")){nproc+=proc.getComunidadNameCas();}else{nproc+=proc.getComunidadNameEus();}
            							}else if(proc.getCodPais().length()>0 && !proc.getCodPais().equals("0") && !proc.getCodPais().equals("10")){
            								 if(nproc.length()>0){nproc+="-";}
            								 if(!proc.getcPos().equals("0")){nproc+="("+proc.getcPos()+")";}
														 if(q53_idioma.equals("C")){nproc+=proc.getPaisNameCas();}else{nproc+=proc.getPaisNameEus();} 
            							}
            					}%>
            			<a href="javascript:ver_respuestas('<%=respNum%>','<%=respuestaBean.getCodRespuesta()%>','<%=numResp%>');">		
            					<%=nproc%>
            			</a>
            			</td>
            		<%}else{%>
            			<td>&nbps;</td>
            		<%}%>
            		<%if(respuestaBean.getEstado().equals("P")){%>
            				<td cdata-title="<%=enc_estado%>"><font color="red"><%=enc_pendiente%></font></td>
            		<%}else{%>
            				<td data-title="<%=enc_estado%>"> </td>
            		<%}%>
            		<!-- Nombre y apellido de la persona que realizo la encuesta--> 
            		<td data-title="<%=enc_usuario%>">	
		            <font size="1"><%=respuestaBean.getNombrePersona()%>		  
		            </td>
		            <!-- Muestra si tiene datos para enviar notificacion --> 		
		             <td data-title="<%=not_datos%>">	
		            <%
		            
		            	if(respuestaBean.getTiene_notificacion().equals("si")){
		            		q53NotificacionBean notificacionBean = respuestaBean.getNotificacionBean();
		            		String tipo_envio=notificacionBean.getTipo_envio();
		            		if(tipo_envio.equals("1")){
		            			%><font color="red"><%=not_correo%></font><%
		            		}else if(tipo_envio.equals("2")){
		            			%><font color="red"><%=not_email%></font><%
		            		}else if(tipo_envio.equals("3")){
		            			%><font color="red"><%=not_fax%></font><%
		            		}	            			
		            	}
		            %>		  
		            </td>  
		            
		            <%if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR) || q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO)){%>  
					            <td data-title="Borrar">
				            	    	<input id="eliminar_elemento_<%=check_elim_index%>"  name="eliminar_elemento_<%=check_elim_index%>" value="<%=check_elim_index%>" type="checkbox"  onclick="activarBorrar()">
										<label for="eliminar_elemento_<%=check_elim_index%>"></label>
										<label for="eliminar_elemento_<%=check_elim_index%>"></label>
			            				<input name="eliminar_elemento_<%=check_elim_index%>_code" id="eliminar_elemento_<%=check_elim_index%>_code" value="<%=respuestaBean.getCodRespuesta()%>" type="hidden">
			            				<%check_elim_index++;%>
			        			</td>
        			<%}%>
        			
        			</tr>
        			<%	
        				String des=respuestaBean.getDescripcion();
        				if(des!=null && des.length()>0){
        					if(des.length()>100)des=des.substring(0,101)+"...";
        			%>
        				<tr>
        					<td colspan="15" class="textonegrobold extraTr"><%=des%></td>
        				</tr> 
        			 <%}
        			   if(q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR)){%>
        			     <tr id="info_modificar_<%=i%>" style="display:none">
        					<td width="10"></td>
        					<td class="textonegrobold" colspan="5">
        						Fecha de visita -> <input type="text" class="inptxt" style="width: 130px;" id="mod_fecha_visita_<%=i%>" value="<%=respuestaBean.getFechaRespuesta()%>">
        						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        						Oficina -> <input type="text" class="inptxt" style="width: 130px;" id="mod_oficina_<%=i%>" value="<%=respuestaBean.getCodOficina()%>">
        						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        						<input type="button" value="Modificar" class="inptxt" onclick="javascript:modificar_respuesta(<%=i%>,<%=respuestaBean.getCodRespuesta()%>)" class="inptxt" style="width: 60px;">
        					</td>
        					<td width="10"></td>
        					<td class="textonegrobold" colspan="4" id="estado_modificar_<%=i%>">
        					<td colspan="3"></td>
        				 </tr> 
        			 <%}%> 
        			 
            <%}%>  
        <%}
        }else{%> 
       <tr>
            <td colspan="12" class="textogrisbold" align="center"><%=no_enc_fechas%></td>
        </tr>
        <%}%>
          <caption>
          <div class="col-sm-12">
           <div class="col-sm-4"><%= enc_rel_resp %></div>
           <div class="col-sm-8">
           <div class="col-sm-6"> 
              <font color="black"><%=est_total_visitas%>: </font><%=totalVisitasFiltro%>
 			</div>
 			
          <%if(encuesta.equals("pres")){%>
          <div class="col-sm-6">           
               <font color="black"><%=est_total_personas%>:</font> <%=totalVisitantesFiltro%>
              </div>
          <%}%>
          </div>
          </div>
          </caption>  
        </table>
        <div id="botones"  class="btn">
			<%if((q53Util.esPerfil(sd, q53Constantes.PERFIL_COOR) || q53Util.esPerfil(sd, q53Constantes.PERFIL_ADMO)) && check_elim_index > 0) {%>
			  <a href="javascript:eliminar_seleccionados()" hidefocus id="btn_borrar"  name="btn_borrar" class="btn btn-red"><%=enc_borrado%></a>
            <%}%>
         
				</div>

		</div>
<!-- FIN volver -->      
	</div>
<%}else{%>
<%}%>
<!-- volver -->

</div>
</div>
<script>   

function cambiarFecha(){
	if (document.frm.fechaFinVis.value=="")   
		document.frm.fechaFinVis.value=document.frm.fechaInicioVis.value;
	if (document.frm.fechaFin.value=="")   
		document.frm.fechaFin.value=document.frm.fechaInicio.value;
}

$(document).ready(function(){
	
		// Calendario
		$.datepicker.regional["es"] = {
				 closeText: "Cerrar",
				 prevText: "<Ant",
				 nextText: "Sig>",
				 currentText: "Hoy",
				 monthNames: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
				 monthNamesShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
				 dayNames: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
				 dayNamesShort: ["Dom", "Lun", "Mar", "Mié;", "Juv", "Vie", "Sáb"],
				 dayNamesMin: ["Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sá"],
				 weekHeader: "Sm",
				 dateFormat: "dd/mm/yy",
				 firstDay: 1,
				 isRTL: false,
				 showMonthAfterYear: false,
				 yearSuffix: ""
		};	
		
		$.datepicker.regional["eu"] = {
				 closeText: "Itxi",
				 prevText: "<Leh.",
				 nextText: "Hurr>",
				 currentText: "Gaur",
				 monthNames: ["Urtarrila", "Otsaila", "Martzoa", "Apirila", "Maiatza", "Ekaina", "Uztaila", "Abuztua", "Iraia", "Urria", "Azaroa", "Abendua"],
				 monthNamesShort: ["Urt", "Ots", "Mar", "Apr", "Mai", "Eka", "Uzt", "Abu", "Ira", "Uri", "Aza", "Abe"],
				 dayNames: ["Igandea", "Astelehena", "Asteartea", "Asteazkena", "Osteguna", "Ostirala", "Larunbata"],
				 dayNamesShort: ["Ig", "Al", "Aa", "Az", "Oe", "Oi", "La"],
				 dayNamesMin: ["Ig", "Al", "Aa", "Az", "Oe", "Oi", "La"],
				 weekHeader: "Sm",
				 dateFormat: "yy/mm/dd",
				 firstDay: 1,
				 isRTL: false,
				 showMonthAfterYear: true,
				 yearSuffix: ""
		};	
		if ('C' == '<%=q53_idioma%>'){
			$.datepicker.setDefaults($.datepicker.regional["es"]);
		}else{
			$.datepicker.setDefaults($.datepicker.regional["eu"]);
		}
					
 		$(".datepicker").datepicker({
 	 		changeMonth: true, 
 	 		changeYear: true, 
 	 		firstDay: 1  
 	 	});
 		$("#ultima_chk").click(function(){
 		   	cambiaEstadoFechas(document.getElementById('ultima_chk').checked || (document.getElementById('pendientes') && document.getElementById('pendientes').checked));
 		});
 		$("#pendientes").click(function(){
 		   	cambiaEstadoFechas(document.getElementById('ultima_chk').checked || (document.getElementById('pendientes') && document.getElementById('pendientes').checked));
 		});
 		//cambiaEstadoFechas(document.getElementById('ultima_chk').checked);
 		$("#fechaFin_shown").change(function(){
 			setHiddenValue("fechaFin_shown", formatDateCast);
 			resetFecha("fechaFinVis", false);
 			resetFecha("fechaInicioVis", false);	
 		});
 		$("#fechaInicio_shown").change(function(){
 			setHiddenValue("fechaInicio_shown", formatDateCast);
 			resetFecha("fechaFinVis", false);
 			resetFecha("fechaInicioVis", false);
 		});
 		$("#fechaFinVis_shown").change(function(){
 			setHiddenValue("fechaFinVis_shown", formatDateCast);
 			resetFecha("fechaFin", false);
 			resetFecha("fechaInicio", false); 			
 		});
 		$("#fechaInicioVis_shown").change(function(){
 			setHiddenValue("fechaInicioVis_shown", formatDateCast);
 			resetFecha("fechaFin", false);
 			resetFecha("fechaInicio", false);
 		});
 		$("#fechaFin_shown").val(formatDate($("#fechaFin").val()));
 		floatIt($("#fechaFin_shown"));
 		$("#fechaFinVis_shown").val(formatDate($("#fechaFinVis").val()));
 		floatIt($("#fechaFinVis_shown"));
 		$("#fechaInicio_shown").val(formatDate($("#fechaInicio").val()));
 		floatIt($("#fechaInicio_shown"));
 		$("#fechaInicioVis_shown").val(formatDate($("#fechaInicioVis").val()));
 		floatIt($("#fechaInicioVis_shown"));
 		$('.datepicker').keypress(function(e) {
	   //if (e.which == 32) {
		  $("#"+ e.target.id.substring(0, e.target.id.length - "_shown".length)).val("");
	      $("#"+e.target.id).val("");
		  e.preventDefault();
	   //}
	});
 	 	
 	 	
 	 	$(".styled-checkbox").click(function(){
 	 		var id = $(this).attr("id");
 	 		if ($(this).attr('class') == 'styled-checkbox checked'){
 	 			$(this).removeClass("checked");
 	 			$("#"+id+"_checkin").prop("checked", false);
 	 			if (id == "check_envio") {
 	 				$('#tabla_datos_envio').hide("blind", 200);
 	 			}
 	 		} else {
 	 			$(this).addClass("checked");
 	 			$("#"+id+"_checkin").prop("checked", true);
 	 			if (id == "check_envio") {
 	 				$('#tabla_datos_envio').show("blind", 200);
 	 			}
 	 		}
 	 		deshabilitar();
 	 	});

 	 	activarBorrar();
 	 	//cambiaEstadoFechas(document.getElementById('ultima_chk').checked || (document.getElementById('pendientes') && document.getElementById('pendientes').checked));
 	 	inhabilitarVacias();
	 });

function inhabilitarVacias(){
	if (document.getElementById('ultima_chk').checked || (document.getElementById('pendientes') && document.getElementById('pendientes').checked)){
		cambiaEstadoFechas(true);
	}
}

function hayAlgunaRellena(fechas){
	for (var i = 0; i < fechas.length; i++){
		if ($("#"+fechas[i]).val() != ""){
			return true;
		}
	}
}

function resetFecha(fecha, deshabilitar){
	document.getElementById(fecha+"Hora").disabled = deshabilitar;
	document.getElementById(fecha+"_shown").disabled = deshabilitar;
	$("#"+fecha).val("");
	$("#"+fecha+"_shown").val("");
	$("#"+fecha+"Hora").val("00");
	floatIt($("#"+fecha+"_shown"));
}


function cambiaEstadoFechas(deshabilitar){
	var fechas = ["fechaFin", "fechaInicio", "fechaFinVis", "fechaInicioVis"];
	for (var i = 0; i < fechas.length; i++){
		resetFecha(fechas[i], deshabilitar);
	}	
}

function formatDate(inpt){
	if (inpt){
		var formato = calIdioma;
		return formatDateToLanguage(inpt, formato);
	}
	return "";
}

function formatDateCast(inpt){
	if (inpt){
		var formato = 'C';
		return formatDateToLanguage(inpt, formato);
	}
	return "";
}

function formatDateToLanguage(inpt, idioma){
	var myRegexp = /(\d{4})\/(\d{2})\/(\d{2})/;
	var match = myRegexp.exec(inpt);
	var ano;
	var mes;
	var dia;
	if (match){
		ano = match[1];
		mes = match[2];
		dia = match[3];
	}else{
		myRegexp = /(\d{2})\/(\d{2})\/(\d{4})/;
		match = myRegexp.exec(inpt);
		ano = match[3];
		mes = match[2];
		dia = match[1];	
	}
	if (idioma == 'C'){
		return dia + "/" + mes + "/" + ano; 
	}else{
		return ano + "/" + mes + "/" + dia;
	}
}

function activarBorrar(){
	var flag = false;
	var elems = $("input[name^='eliminar_elemento']" );
	for (var i = 0; i < elems.length; i++){
		if (elems[i].checked){
			flag = true;
			break;
		}
	}
	if (flag){
		$("#btn_borrar").show(400);
	}else{
		$("#btn_borrar").hide(400);
	}
}

function setHiddenValue(inpt, funcAAplicar){
	var id = inpt;
	var elemInicial = $("#"+inpt)[0];
	var elem = $("#"+ id.substring(0, id.length - "_shown".length));
	if (!funcAAplicar){
		funcAAplicar = defaultHidden;
	}
	elem[0].value = funcAAplicar(elemInicial.value);
}

function defaultHidden(inpt){
	return inpt.value;
}
</script>
</form>
<!-- FIN CENTRO -->
<!-- CALENDARIO -->
<DIV class="text" id="popupcalendar"></DIV>
<!-- FIN CALENDARIO -->
</body>
<script src="/appcont/itourbask/scripts/floating-labels.js"></script>
</html>